Grant external access
curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/external-bank-accounts/{id}/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/external-bank-accounts/{id}/access"
payload = { "userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/external-bank-accounts/{id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}External Bank Accounts
Grant external access
Grants access to the specified external bank account for the given users. Every user must exist and belong to an organization visible to the caller.
Token types: APP, USER | Required scopes: external_bank_account:write:org
POST
/
embedded-banking
/
v1
/
external-bank-accounts
/
{id}
/
access
Grant external access
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The external bank account ID.
Body
application/jsonapplication/*+json
Request to grant access to a bank account for specified users.
List of user IDs to grant access to.
Response
Access granted successfully.
Was this page helpful?